Bug 712971 - Review Request: gnome-shell-extension-pidgin - The components necessary to integrate Pidgin with GNOME Shell
Summary: Review Request: gnome-shell-extension-pidgin - The components necessary to in...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-13 18:54 UTC by Tom "spot" Callaway
Modified: 2011-07-12 22:00 UTC (History)
5 users (show)

Fixed In Version: gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 22:00:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2011-06-13 18:54:04 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/gnome-shell-extension-pidgin.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc15.src.rpm
Koji Scratch Build (dist-f15): http://koji.fedoraproject.org/koji/taskinfo?taskID=3128621

Description: 
This package contains the necessary components to integrate pidgin with
GNOME Shell:
* Izhar Firdaus's GNOME Shell Extension to display Pidgin chats as
  notifications in the Shell message tray.
* Wojtek Surówka's Pidgin status notifier plugin

In order to activate these components, you will need to:
* Be running Pidgin (the extension uses Pidgin's DBUS API)
* Restart GNOME Shell after installation
* Enable the "GNOME Shell Connector" plugin within Pidgin

Comment 1 Tim Lauridsen 2011-06-15 08:45:02 UTC
I will review this package

Comment 2 Tim Lauridsen 2011-06-15 12:00:47 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.i686.rpm
        ================================================================================
        gnome-shell-extension-pidgin.i686: W: no-documentation
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint gnome-shell-extension-pidgin-debuginfo-0-0.1.git4ca78b1.fc16.i686.rpm
        ================================================================================
        gnome-shell-extension-pidgin-debuginfo.i686: E: description-line-too-long C This package provides debug information for package gnome-shell-extension-pidgin.
        1 packages and 0 specfiles checked; 1 errors, 0 warnings.
        ================================================================================
        
        rpmlint gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.src.rpm
        ================================================================================
        gnome-shell-extension-pidgin.src: W: invalid-url Source0: gnome-shell-extension-pidgin-git4ca78b1.tar.bz2
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[!] : MUST - Development .so files in -devel subpackage, if present.
        gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.i686.rpm : /usr/lib/purple-2/libgnomeshell.so
        
[!] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        Makefile.gnomeShellPidgin :
          MD5SUM this package     : 52fd5b3e0fe1afe78c0119408a17d2fe
          MD5SUM upstream package : upstream source not found
        gnome-shell-extensions-pidgin-License.txt :
          MD5SUM this package     : d3ea637572fb8f52b510a60876c6f218
          MD5SUM upstream package : upstream source not found
        gnome-shell-extension-pidgin-git4ca78b1.tar.bz2 :
          MD5SUM this package     : 2267235a4e7efdd73a2557b107cd9e64
          MD5SUM upstream package : upstream source not found
        /home/tim/tmp/reviewhelper/712971/gnomeShellPidgin.c :
          MD5SUM this package     : 09c4edcd6a1ce1c7008d942862cf7562
          MD5SUM upstream package : 09c4edcd6a1ce1c7008d942862cf7562
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source1:	http://download.sourceforge.net/project/gnomeshpidgin/gnomeShellPidgin.c (gnomeShellPidgin.c)
        Source2:	Makefile.gnomeShellPidgin (Makefile.gnomeShellPidgin)
        Source3:	gnome-shell-extensions-pidgin-License.txt (gnome-shell-extensions-pidgin-License.txt)
        Patch0:		gnomeShellPidgin-cleanup.patch (gnomeShellPidgin-cleanup.patch)
        Patch1:		gnome-shell-extension-pidgin-fix-metadata.patch (gnome-shell-extension-pidgin-fix-metadata.patch)
        
[!] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[!] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[!] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.

Comment 3 Tim Lauridsen 2011-06-15 12:02:28 UTC
Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.i686.rpm
        ================================================================================
        gnome-shell-extension-pidgin.i686: W: no-documentation
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint gnome-shell-extension-pidgin-debuginfo-0-0.1.git4ca78b1.fc16.i686.rpm
        ================================================================================
        gnome-shell-extension-pidgin-debuginfo.i686: E: description-line-too-long C This package provides debug information for package gnome-shell-extension-pidgin.
        1 packages and 0 specfiles checked; 1 errors, 0 warnings.
        ================================================================================
        
        rpmlint gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.src.rpm
        ================================================================================
        gnome-shell-extension-pidgin.src: W: invalid-url Source0: gnome-shell-extension-pidgin-git4ca78b1.tar.bz2
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[!] : MUST - Development .so files in -devel subpackage, if present.
        gnome-shell-extension-pidgin-0-0.1.git4ca78b1.fc16.i686.rpm : /usr/lib/purple-2/libgnomeshell.so

Looks ok, this is a plugin not at development lib.
        
[!] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        Makefile.gnomeShellPidgin :
          MD5SUM this package     : 52fd5b3e0fe1afe78c0119408a17d2fe
          MD5SUM upstream package : upstream source not found
        gnome-shell-extensions-pidgin-License.txt :
          MD5SUM this package     : d3ea637572fb8f52b510a60876c6f218
          MD5SUM upstream package : upstream source not found
        gnome-shell-extension-pidgin-git4ca78b1.tar.bz2 :
          MD5SUM this package     : 2267235a4e7efdd73a2557b107cd9e64
          MD5SUM upstream package : upstream source not found
        /home/tim/tmp/reviewhelper/712971/gnomeShellPidgin.c :
          MD5SUM this package     : 09c4edcd6a1ce1c7008d942862cf7562
          MD5SUM upstream package : 09c4edcd6a1ce1c7008d942862cf7562
          
 Should be OK, this is a git checkout and the other files is license and a Makefile to get it build
 
          
[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

Little unsure if the Source3 license file should be installed and put into %DOC ?

Let me know what you think about the Source3 issue and I will approve it

Comment 5 Tim Lauridsen 2011-07-02 13:31:18 UTC
APPROVED

Comment 6 Peter Robinson 2011-07-06 13:04:09 UTC
To help spot along

New Package GIT Request
=======================
Package Name: gnome-shell-extension-pidgin
Short Description: GNOME Shell extension for Pidgin integration
Owners: spot
Branches: F-15
InitialCC:

Comment 7 Gwyn Ciesla 2011-07-06 13:50:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-07-06 14:06:41 UTC
gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc15

Comment 9 Fedora Update System 2011-07-06 21:26:02 UTC
gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-07-12 22:00:40 UTC
gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.